## eom-thumbnail eom-thumbnail |

## Functions

void | eom_thumbnail_init ()
GdkPixbuf * | eom_thumbnail_fit_to_size ()
GdkPixbuf * | eom_thumbnail_add_frame ()
GdkPixbuf * | eom_thumbnail_load ()

## Types and Values

#define | EOM_THUMBNAIL_ORIGINAL_WIDTH
#define | EOM_THUMBNAIL_ORIGINAL_HEIGHT

## Description

## Functions

### eom_thumbnail_init ()

    void
    eom_thumbnail_init (void);

### eom_thumbnail_fit_to_size ()

    GdkPixbuf *
    eom_thumbnail_fit_to_size (GdkPixbuf *thumbnail,
                               gint dimension);

Ensures a pixbuf fits a given `dimension`

#### Parameters

thumbnail | a GdkPixbuf |
dimension | the maximum width or height desired |

#### Returns

a new GdkPixbuf.

[transfer full]

### eom_thumbnail_add_frame ()

    GdkPixbuf *
    eom_thumbnail_add_frame (GdkPixbuf *thumbnail);

Adds a frame to `thumbnail`

#### Parameters

thumbnail | a GdkPixbuf |

#### Returns

a new GdkPixbuf, storing `thumbnail` nicely framed.

[transfer full]

### eom_thumbnail_load ()

    GdkPixbuf *
    eom_thumbnail_load (EomImage *image,
                        GError **error);

Loads the thumbnail for `image` . In case of error, `NULL` is returned and `error` is set.

#### Parameters

image | a EomImage |
error | location to store the error ocurring or `NULL` to ignore |

#### Returns

a new GdkPixbuf with the thumbnail for `image` or `NULL` in case of error.

[transfer full]

## Types and Values

### EOM_THUMBNAIL_ORIGINAL_WIDTH

    #define EOM_THUMBNAIL_ORIGINAL_WIDTH  "eom-thumbnail-orig-width"

### EOM_THUMBNAIL_ORIGINAL_HEIGHT

    #define EOM_THUMBNAIL_ORIGINAL_HEIGHT "eom-thumbnail-orig-height"